Index: libfaim/chatnav.c
===================================================================
--- libfaim/chatnav.c	(revision cf02dd64c267036375fdf872c3528766fe980d54)
+++ libfaim/chatnav.c	(revision 7869e4801e577613b7db987d11bddb0a31fe755c)
@@ -46,5 +46,5 @@
 	 * This looks to be a big hack.  You'll note that this entire
 	 * SNAC is just a room info structure, but the hard room name,
-	 * here, is set to "create".  
+	 * here, is set to "create".
 	 *
 	 * Either this goes on the "list of questions concerning
@@ -57,7 +57,7 @@
 	aimbs_putraw(&fr->data, ck, strlen(ck));
 
-	/* 
+	/*
 	 * instance
-	 * 
+	 *
 	 * Setting this to 0xffff apparently assigns the last instance.
 	 *
@@ -95,16 +95,16 @@
 	tlvlist = aim_tlvlist_read(bs);
 
-	/* 
+	/*
 	 * Type 0x0002: Maximum concurrent rooms.
-	 */ 
+	 */
 	if (aim_tlv_gettlv(tlvlist, 0x0002, 1))
 		maxrooms = aim_tlv_get8(tlvlist, 0x0002, 1);
 
-	/* 
+	/*
 	 * Type 0x0003: Exchange information
 	 *
 	 * There can be any number of these, each one
-	 * representing another exchange.  
-	 * 
+	 * representing another exchange.
+	 *
 	 */
 	for (curexchange = 0; ((exchangetlv = aim_tlv_gettlv(tlvlist, 0x0003, curexchange+1))); ) {
@@ -121,5 +121,5 @@
 		innerlist = aim_tlvlist_read(&tbs);
 
-		/* 
+		/*
 		 * Type 0x000a: Unknown.
 		 *
@@ -130,5 +130,5 @@
 			;
 
-		/* 
+		/*
 		 * Type 0x000d: Unknown.
 		 */
@@ -136,5 +136,5 @@
 			;
 
-		/* 
+		/*
 		 * Type 0x0004: Unknown
 		 */
@@ -142,5 +142,5 @@
 			;
 
-		/* 
+		/*
 		 * Type 0x0002: Unknown
 		 */
@@ -149,5 +149,5 @@
 
 			classperms = aim_tlv_get16(innerlist, 0x0002, 1);
-			
+
 			faimdprintf(sess, 1, "faim: class permissions %x\n", classperms);
 		}
@@ -161,14 +161,14 @@
 		 * 8 Occupant Peek Allowed
 		 *
-		 */ 
+		 */
 		if (aim_tlv_gettlv(innerlist, 0x00c9, 1))
 			exchanges[curexchange-1].flags = aim_tlv_get16(innerlist, 0x00c9, 1);
-		      
-		/*
-		 * Type 0x00ca: Creation Date 
+
+		/*
+		 * Type 0x00ca: Creation Date
 		 */
 		if (aim_tlv_gettlv(innerlist, 0x00ca, 1))
 			;
-		      
+
 		/*
 		 * Type 0x00d0: Mandatory Channels?
@@ -186,5 +186,5 @@
 		 * Type 0x00d2: Maximum Occupancy?
 		 */
-		if (aim_tlv_gettlv(innerlist, 0x00d2, 1))	
+		if (aim_tlv_gettlv(innerlist, 0x00d2, 1))
 			;
 
@@ -192,5 +192,5 @@
 		 * Type 0x00d3: Exchange Description
 		 */
-		if (aim_tlv_gettlv(innerlist, 0x00d3, 1))	
+		if (aim_tlv_gettlv(innerlist, 0x00d3, 1))
 			exchanges[curexchange-1].name = aim_tlv_getstr(innerlist, 0x00d3, 1);
 		else
@@ -200,5 +200,5 @@
 		 * Type 0x00d4: Exchange Description URL
 		 */
-		if (aim_tlv_gettlv(innerlist, 0x00d4, 1))	
+		if (aim_tlv_gettlv(innerlist, 0x00d4, 1))
 			;
 
@@ -209,5 +209,5 @@
 		 * 1  Room creation allowed
 		 * 2  Exchange creation allowed
-		 * 
+		 *
 		 */
 		if (aim_tlv_gettlv(innerlist, 0x00d5, 1)) {
@@ -219,14 +219,14 @@
 		/*
 		 * Type 0x00d6: Character Set (First Time)
-		 */	      
-		if (aim_tlv_gettlv(innerlist, 0x00d6, 1))	
+		 */
+		if (aim_tlv_gettlv(innerlist, 0x00d6, 1))
 			exchanges[curexchange-1].charset1 = aim_tlv_getstr(innerlist, 0x00d6, 1);
 		else
 			exchanges[curexchange-1].charset1 = NULL;
-		      
+
 		/*
 		 * Type 0x00d7: Language (First Time)
-		 */	      
-		if (aim_tlv_gettlv(innerlist, 0x00d7, 1))	
+		 */
+		if (aim_tlv_gettlv(innerlist, 0x00d7, 1))
 			exchanges[curexchange-1].lang1 = aim_tlv_getstr(innerlist, 0x00d7, 1);
 		else
@@ -235,6 +235,6 @@
 		/*
 		 * Type 0x00d8: Character Set (Second Time)
-		 */	      
-		if (aim_tlv_gettlv(innerlist, 0x00d8, 1))	
+		 */
+		if (aim_tlv_gettlv(innerlist, 0x00d8, 1))
 			exchanges[curexchange-1].charset2 = aim_tlv_getstr(innerlist, 0x00d8, 1);
 		else
@@ -243,14 +243,14 @@
 		/*
 		 * Type 0x00d9: Language (Second Time)
-		 */	      
-		if (aim_tlv_gettlv(innerlist, 0x00d9, 1))	
+		 */
+		if (aim_tlv_gettlv(innerlist, 0x00d9, 1))
 			exchanges[curexchange-1].lang2 = aim_tlv_getstr(innerlist, 0x00d9, 1);
 		else
 			exchanges[curexchange-1].lang2 = NULL;
-		      
+
 		/*
 		 * Type 0x00da: Unknown
 		 */
-		if (aim_tlv_gettlv(innerlist, 0x00da, 1))	
+		if (aim_tlv_gettlv(innerlist, 0x00da, 1))
 			;
 
@@ -354,5 +354,5 @@
  * Subtype 0x0009
  *
- * Since multiple things can trigger this callback, we must lookup the 
+ * Since multiple things can trigger this callback, we must lookup the
  * snacid to determine the original snac subtype that was called.
  *
@@ -364,5 +364,5 @@
  *    Nav Short Desc = 8
  *    Nav Instance Info = 16
- * And then everything is really asynchronous.  There is no specific 
+ * And then everything is really asynchronous.  There is no specific
  * attachment of a response to a create room request, for example.  Creating
  * the room yields no different a response than requesting the room's info.
